LibreOffice LibreOffice 7.2 SDK API Reference

Exported Interfaces | List of all members
Accessible Service Reference

Every class has to support this service in order to be accessible. More...

`import"Accessible.idl";`

Inheritance diagram for Accessible:

## Exported Interfaces
interface | XAccessible

## Additional Inherited Members
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Every class has to support this service in order to be accessible.

It provides the means to derive a XAccessibleContext object–which may but usually is not the same object as the object that supports the XAccessible interface–that provides the actual information that is needed to make it accessible.

Service `Accessible` is just a wrapper for the interface `XAccessible`. See the interface's documentation for more information.

See also
  XAccessible

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ XAccessible

interface XAccessible

The documentation for this service was generated from the following file:

- com/sun/star/accessibility/Accessible.idl